// 商品价格曲线模块
import { get,post } from "./index";

// /**
//  * 搜索图表
//  * @param PageSize
//  * @param CurrentIndex
//  * @param KeyWord
//  * @param IsShowMe
//  */
// export function apiFutureSearchChartList(params){
//     return get('/future_good/chart_info/search_by_es',params)
// }

// /**
//  * 获取商品价格分类数据
//  */
// export function apiFutureChartClassifyList(params){
//     return get('/future_good/chart_classify/list',params)
// }

// /**
//  * 商品价格图库图表另存为
//  * @param ChartInfoId
//  * @param ChartClassifyId
//  * @param ChartName
//  */
// export function apiFutureChartSaveOther(params){
//     return post('/future_good/chart_info/copy',params)
// }

export default{
    /**
     * 搜索图表
     * @param PageSize
     * @param CurrentIndex
     * @param KeyWord
     * @param IsShowMe
     */
    searchChartList(params){
        return get('/future_good/chart_info/search_by_es',params)
    },
    /**
     * 获取商品价格分类数据
     */
    chartClassifyList(params){
        return get('/future_good/chart_classify/list',params)
    },
    /**
     * 商品价格图库图表另存为
     * @param ChartInfoId
     * @param ChartClassifyId
     * @param ChartName
     */
    chartSaveOther(params){
        return post('/future_good/chart_info/copy',params)
    },
    /**
     * 刷新图表
     * @param ChartInfoId
     */
    refreshChart(params){
        return get('/future_good/chart_info/refresh',params)
    },
    /**
     * 编辑英文信息
     * @param ChartInfoId
     * @param ChartNameEn
     * @param UnitEn
     * @param EdbNameEn
     * @param FutureGoodNameEn
     * @param ProfitNameEn
     */
    chartInfoEditEn(params){
        return post('/future_good/chart_info/en/edit',params)
    }
}